%define upstream_name    Module-Install-Template
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Treat module source code as a template
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI::Escape)
BuildArch: noarch


%description
This module, if used in the Makefile.PL as shown in the synopsis, treats
module source code files as templates and processes them with the the
Template manpage Toolkit during 'make' time.

That is, 'lib/' is expected to contain templates, and 'blib/lib/' will
contain the resulting files as processed by the Template Toolkit.

This only happens on the author's side. The end-user will not notice any of
it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tt_pm_to_blib


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.0-13.mga10
+ Revision: 2204044
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.80.0-12.mga9
+ Revision: 1809747
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-11.mga8
+ Revision: 1505237
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-10.mga7
+ Revision: 1284800
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.80.0-9.mga7
+ Revision: 1165556
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.80.0-8.mga7
+ Revision: 1159317
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1030112
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 940512
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 741140
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 685449
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 520999
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 sander85 <sander85> 0.80.0-2.mga3
+ Revision: 388236
- Fix BuildRequires
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 38321
- mageia rebuild
- imported package perl-Module-Install-Template

